Bug 246383 - mismatched package for dmraid w/ kernel on install media
mismatched package for dmraid w/ kernel on install media
Product: Fedora
Classification: Fedora
Component: dmraid (Show other bugs)
All Linux
low Severity urgent
: ---
: ---
Assigned To: Milan Broz
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-01 11:16 EDT by Joe Hohertz
Modified: 2013-02-28 23:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-02 08:28:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Hohertz 2007-07-01 11:16:17 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

100% Reproducable for any raid 5 sets attempted to be installed to

Steps to Reproduce:
1. Configure a RAID 5 in the BIOS
2. Attempt an install F7 to the RAID set
3. First sign of trouble is Anaconda claiming it can't open /dev/mapper/nvida_xxxxxx
4. From there hit ALT-F2 to get the console
5. dmraid -r and dmraid -s will show info on the raid set
6. dmraid -ay yields an error that 'raid45' could not be loaded
7. lsmod | grep raid shows that in fact the raid456 module is loaded (and i
assume should suffice). regardless the tool refuses to proceed further.

Apparently kernel 2.6.20 changed the name of the module, requiring an update to
dmraid as well.

Expected results:

dmraid will honour the raid456 module to satisfy it's dependancies.

Additional info:

This is preventing the installation of FC7 onto the volume completely. I assume
new media will need to be made available to correct the problem.

Some related links for other peoples bugs that reflect the same issue in
different products:

Comment 1 Alasdair Kergon 2007-07-01 20:58:34 EDT
Errr - how did this get assigned to me???  Is something broken in Fedora bugzilla?
Comment 2 Joe Hohertz 2007-07-01 22:20:49 EDT
Not sure, it autofilled your address after i selected the package.
Comment 3 Alasdair Kergon 2007-07-01 22:45:35 EDT
It's looking like the Core/Extras merge obliterated default owner and initial cc
list for Fedora Core bugzilla components.  This was not announced so clearly it
was unintentional and should be fixed globally and mentioned in the
post-implementation review for that change, so lessons can be learned for next
time bugzilla data edits are made.

These said nothing about losing previous settings for Core packages:
Comment 4 Milan Broz 2007-11-02 08:28:02 EDT
Dmraid cannot use raid456 kernel module for RAID5 mapping (it is module for MD
device, not device-mapper target), it needs separate dm-raid45 kernel module
which is not yet in stable kernel.

For testing development version you can see

But this will not merged in F7 release cycle, RAID5 mapped through dmraid (i.e.
created by bios utility) is not supported yet (but you can use software MD raid5
in install process of course) .

Note You need to log in before you can comment on or make changes to this bug.